Bug 1250668 - [printrun] Pronterface claims unrelated mime types
[printrun] Pronterface claims unrelated mime types
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: printrun (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 13:58 EDT by Neil Darlow
Modified: 2016-07-19 15:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:54:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Download of .tar.bz2 showing Pronterface as default action (31.27 KB, image/png)
2015-08-10 12:04 EDT, Neil Darlow
no flags Details

  None (edit)
Description Neil Darlow 2015-08-05 13:58:39 EDT
Description of problem:
Pronterface is presented as the default actor in save dialogs for mime types not related to those it should handle. I have noticed this on PDF downloads and some others under both GNOME and KDE.


Version-Release number of selected component (if applicable):
printrun-2014.08.01-1.fc22.src.rpm


How reproducible:
Every time.


Steps to Reproduce:
1. Download e.g. a PDF file in a web browser.
2. Observe the default actor for the Save dialog being Pronterface.


Actual results:
Downloading some unrelated mime types presents Pronterface as the default actor.


Expected results:
Pronterface should only be default for 3D production files e.g. GCode et. al.


Additional info:
Seems to be a generic install problem. Observed in both GNOME and KDE.
Comment 1 Miro Hrončok 2015-08-06 05:19:56 EDT
pronterface.desktop has:

    MimeType=text/plain;application/octet-stream;application/sla;

GCODE is text/plain

ASCII STL is text/plain

Binary STL is application/octet-stream

application/sla is STL according to the internets

What MIME type is your PDF file? (Use `file --mime-type file.pdf` to find out.)
Comment 2 Neil Darlow 2015-08-06 08:21:44 EDT
Hi,

My file mimetype is/was application/pdf.

I am looking more into this because it might not be the printrun packages that are the cause but a general mimetype handling problem associated with package installation.

Under KDE I was able to go into the user-accessible Mime Type editor and verify that pronterface was assigned as the handler for application/pdf.

Under GNOME I have searched through the /usr/share/mime{,-info,lnk} directories and found nothing referencing pronterface. However, at the moment PDFs are being handled correctly.

I have actually had the file save dialog suggest pronterface as the default action for .src.rpm files downloaded from Koji.

Regards,
Neil Darlow
Comment 3 Neil Darlow 2015-08-10 12:04:26 EDT
Created attachment 1061144 [details]
Download of .tar.bz2 showing Pronterface as default action

I caught this when downloading a .tar.bz2 file from sourceforge.net.

[neil@satellite Downloads]$ file --mime-type sdcc-src-3.5.0.tar.bz2
sdcc-src-3.5.0.tar.bz2: application/x-bzip2

This is a recent F22 Workstation install running GNOME.
Comment 4 Miro Hrončok 2015-09-30 05:36:04 EDT
Can this be related to Firefox? I've just downloaded an rpm on Fedora 22 with Firefox and it keeps trying to open it in Pronterface while my file manager opens it in software installation tool.
Comment 5 Neil Darlow 2015-10-01 04:54:01 EDT
I can accept that Firefox may do undesirable things but it does not explain how the association between e.g. PDF and Pronterface is found in the system-wide mime types file when no choice to associate these file types with Pronterface is made by the user (I just choose the save option instead).

I think there is more going on here than Firefox mis-behaving.
Comment 6 Fedora End Of Life 2016-07-19 15:54:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.